| Home | Libraries | People | FAQ | More

##### rtree(parameters_type const &, indexable_getter const &, value_equal const &, allocator_type const &)

The constructor.

###### Synopsis

    rtree(parameters_type const & parameters,
          indexable_getter const & getter,
          value_equal const & equal,
          allocator_type const & allocator)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`parameters_type` `const &` | `parameters` | The parameters object.
`indexable_getter` `const &` | `getter` | The function object extracting Indexable from Value.
`value_equal` `const &` | `equal` | The function object comparing Values.
`allocator_type` `const &` | `allocator` | The allocator object.

###### Throws

If allocator copy constructor throws.